# Attiny85 adaptation of Ian Wraith's 2.4GHz Downconverter

An adaption of [this](https://github.com/IanWraith/24DownConvert/tree/master) project for the Attiny85 microcontroller.

Other than the major differences in programming from the original STM32 MCU, this adaptation is functionally the same.

| ATTINY85 | ADF4350  | Purpose
| -------- | ---------|---------
| PB3      | LE       | z
| PB2      | CLK      | SPI Clock
| PB1      | DATA     | SPI Data line
| PB5      | LD       | Lock Detection
| PB4      |          | Status LED+ (anode)


Here is a schematic to visualize the connection between the ATTiny85 and the ADF4350:

**(NOTE: Wire to PB5 should be connected to PB0 instead)

![Schematic](./screenshots/schematic.png)